"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformUploadResponseOkData = exports.transformUploadSendDefault = void 0;
var miniprogram_network_utils_1 = require("miniprogram-network-utils");
/**
 * 构建请求参数
 * baseUrl和dataUrl不同时为空
 * @param data - 完整参数
 */
function transformUploadSendDefault(data) {
    return miniprogram_network_utils_1.getCommonOptions({
        url: miniprogram_network_utils_1.buildParams(data.url || '', data.params, data.baseURL),
        formData: data.data,
        header: data.headers
    }, data, ['filePath', 'name']);
}
exports.transformUploadSendDefault = transformUploadSendDefault;
/**
 * 根据错误码处理数据(会尝试JSON.parse)
 * statusCode 2xx 操作成功仅返回data数据
 * 否则抛出错误(rejected)
 * @param res - 返回结果
 * @param options - 全部配置
 * @returns 反序列化对象
 */
function transformUploadResponseOkData(res, options) {
    if (res.statusCode >= 200 && res.statusCode < 300) {
        if (typeof res.data === 'string') {
            try {
                return JSON.parse(res.data);
            }
            catch (_a) {
                // empty
            }
        }
        return res.data;
    }
    throw res;
}
exports.transformUploadResponseOkData = transformUploadResponseOkData;
//# sourceMappingURL=transform.js.map