"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Uploader = void 0;
var miniprogram_network_life_cycle_1 = require("miniprogram-network-life-cycle");
var transform_1 = require("./transform");
/**
 * 上传管理
 */
var Uploader = /** @class */ (function (_super) {
    __extends(Uploader, _super);
    /**
     * 默认上传请求参数转换函数
     */
    // protected readonly TransformSendDefault = transformUploadSendDefault;
    /**
     * 创建Upload管理
     * @param config 全局配置
     * @param uploader 操作函数,默认使用上传队列
     * @param listeners 上传事件监听通知
     */
    function Uploader(config, uploader, listeners) {
        return _super.call(this, 
        // tslint:disable-next-line: no-use-before-declare
        uploader || wx.uploadFile, config || { transformSend: transform_1.transformUploadSendDefault }, listeners) || this;
    }
    Uploader.prototype.upload = function () {
        var argNum = arguments.length;
        var options = argNum === 1 ? arguments[0] : (arguments[4] || {});
        if (argNum > 1) {
            options.filePath = arguments[0];
            options.name = arguments[1];
            options.url = arguments[2];
            options.data = arguments[3];
        }
        return this.process(options);
    };
    return Uploader;
}(miniprogram_network_life_cycle_1.LifeCycle));
exports.Uploader = Uploader;
//# sourceMappingURL=uploader.js.map