import { buildParams, getCommonOptions } from 'miniprogram-network-utils';
/**
 * 构建请求参数
 * baseUrl和dataUrl不同时为空
 * @param data - 完整参数
 */
export function transformUploadSendDefault(data) {
    return getCommonOptions({
        url: buildParams(data.url || '', data.params, data.baseURL),
        formData: data.data,
        header: data.headers
    }, data, ['filePath', 'name']);
}
/**
 * 根据错误码处理数据(会尝试JSON.parse)
 * statusCode 2xx 操作成功仅返回data数据
 * 否则抛出错误(rejected)
 * @param res - 返回结果
 * @param options - 全部配置
 * @returns 反序列化对象
 */
export function transformUploadResponseOkData(res, options) {
    if (res.statusCode >= 200 && res.statusCode < 300) {
        if (typeof res.data === 'string') {
            try {
                return JSON.parse(res.data);
            }
            catch (_a) {
                // empty
            }
        }
        return res.data;
    }
    throw res;
}
//# sourceMappingURL=transform.js.map