import { LifeCycle } from 'miniprogram-network-life-cycle';
import { transformUploadSendDefault } from './transform';
/**
 * 上传管理
 */
export class Uploader extends LifeCycle {
    /**
     * 默认上传请求参数转换函数
     */
    // protected readonly TransformSendDefault = transformUploadSendDefault;
    /**
     * 创建Upload管理
     * @param config 全局配置
     * @param uploader 操作函数,默认使用上传队列
     * @param listeners 上传事件监听通知
     */
    constructor(config, uploader, listeners) {
        super(
        // tslint:disable-next-line: no-use-before-declare
        uploader || wx.uploadFile, config || { transformSend: transformUploadSendDefault }, listeners);
    }
    upload() {
        const argNum = arguments.length;
        const options = argNum === 1 ? arguments[0] : (arguments[4] || {});
        if (argNum > 1) {
            options.filePath = arguments[0];
            options.name = arguments[1];
            options.url = arguments[2];
            options.data = arguments[3];
        }
        return this.process(options);
    }
}
//# sourceMappingURL=uploader.js.map